> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Metric by month

> Metric by month. Metrics are retained for 180 days.



## OpenAPI

````yaml api-reference/openapi.json get /metrics/{year}/{month}
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /metrics/{year}/{month}:
    get:
      tags:
        - metrics
      summary: Metric by month. Metrics are retained for 180 days.
      parameters:
        - in: path
          name: year
          schema:
            type: integer
          required: true
        - in: path
          name: month
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MetricByDate'
components:
  schemas:
    MetricByDate:
      description: Collected metrics on a monthly basis.
      type: object
      properties:
        year:
          type: integer
        month:
          type: integer
        customer_messages_count:
          description: Number of messages received by customers.
          type: integer
        new_customers_count:
          description: Number of new customers sending a message in this month.
          type: integer
        existing_customers_count:
          description: >-
            Number of already existing customers sending a message in this
            month.
          type: integer
        fresh_conversations_count:
          description: >-
            Number of fresh conversations. Fresh = conversation has not been
            used for more than 24 hours.
          type: integer
        agent_messages_count:
          description: Number of messages sent by agents.
          type: integer
        average_agent_response_time_minutes:
          description: Average time between customer and agent message in minutes.
          type: number
          format: float
        marketing_opt_in_profiles_count:
          description: Number of customers who opted in for marketing this month.
          type: integer
        marketing_opt_out_profiles_count:
          description: Number of customers who opted out for marketing this month.
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````